﻿--[[
    Copyright Daniel D. Neilson, 2006

    This file is part of Bidder.

    Bidder is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Bidder is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bidder; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
]]
--[[
    Action commands for the console commands.
]]

--[[
    Bidder:ConsoleQueryPoints()
    Description:
        Console command for querying DKPmon for the user's points.
        DKPmon sends the reply in a whisper
    Input:
        None
    Output:
        None
]]
function Bidder:ConsoleQueryPoints()
   self:CommSendQueryPoints(true)
end

--[[
    Bidder:SetBiddingName(name)
    Description:
        Console command for setting the name with which to place bids.
    Input:
        name: The name to set the bidding name to.
    Output:
        None
]]
function Bidder:SetBiddingName(name)
    if name == nil then return end
    name = string.format("%s%s", string.upper(string.sub(name, 1, 1)), string.lower(string.sub(name, 2, -1)))
    self.db.realm.name = name
    if self.biddingOpen == true then 
        self:CommSendQueryPoints(false) 
        if self:CountPlacedBids() > 0 then -- We have bids placed, change the bidding name on those too
            self:CommPlaceBids()
        end
    end
    -- If the UI's built, we need to change the string name in 
    -- there too
    if self.GUI.name ~= nil then
        self.GUI.name:SetText(name)
    end
end