﻿--[[
    Copyright Daniel D. Neilson, 2006

    This file is part of Bidder.

    Bidder is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Bidder is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bidder; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
]]
local options = {
    type = 'group',
    args = {
        query = {
            type = 'execute',
            name = 'query',
            desc = 'Query the raid leaders for your current points.',
            func = function() Bidder:ConsoleQueryPoints() end
        },
--[[        name = {
            type = 'text',
            name = 'name',
            desc = 'Set the name that you bid on items with.',
            usage = '<name>',
            get = function() return Bidder.db.realm.name end,
            set = "SetBiddingName",
            input = true
        },
]]
        show = {
            type = 'execute',
            name = 'show',
            desc = 'Show the bidding interface.',
            func = function() Bidder:ShowBidUI() end
        },
        standby = {
            type = 'toggle',
            name = 'standby',
            desc = 'Toggle whether you are on standby.',
            get = function() return Bidder.onstandby end,
            set = function(v) Bidder.onstandby = v end

        }
    }
}

-- Set the console commands
Bidder:RegisterChatCommand({"/bid", "/bidder"}, options)